<%@ page contentType="text/html;charset=UTF-8" %>
<script>
	$(document).ready(function() {
		$('#settTable').bootstrapTable({
			//请求方法
			method: 'post',
			//类型json
			dataType: "json",
			contentType: "application/x-www-form-urlencoded",
			//显示检索按钮
			showSearch: true,
			//显示刷新按钮
			showRefresh: true,
			//显示切换手机试图按钮
			showToggle: false,
			//显示 内容列下拉框
			showColumns: false,
			//显示到处按钮
			showExport: false,
			//显示切换分页按钮
			showPaginationSwitch: false,
			//最低显示2行
			minimumCountColumns: 2,
			//是否显示行间隔色
			striped: true,
			//是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
			cache: false,
			//是否显示分页（*）
			pagination: true,
			//排序方式
			sortOrder: "asc",
			//初始化加载第一页，默认第一页
			pageNumber: 1,
			//每页的记录行数（*）
			pageSize: 10,
			//可供选择的每页的行数（*）
			pageList: [10, 25, 50, 100],
			//这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
			url: "${ctx}/scheduleView/settData",
			//默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
			////查询参数,每次调用是会带上这个参数，可自定义
			queryParams: function (params) {
				var searchParam = $("#searchForm").serializeJSON();
				searchParam.pageNo = params.limit === undefined ? "1" : params.offset / params.limit + 1;
				searchParam.pageSize = params.limit === undefined ? -1 : params.limit;
				searchParam.orderBy = params.sort === undefined ? "" : params.sort + " " + params.order;
				return searchParam;
			},
			//分页方式：client客户端分页，server服务端分页（*）
			sidePagination: "server",
			contextMenuTrigger: "right",//pc端 按右键弹出菜单
			contextMenuTriggerMobile: "press",//手机端 弹出菜单，click：单击， press：长按。
			contextMenu: '#context-menu',
			onClickRow: function (row, $el) {
			},
			onShowSearch: function () {
				$("#search-collapse").slideToggle();
			},
			formatNoMatches: function () {
				return "你的自定义文字说明";
			},
			columns: [{
					field: 'projectId',
					title: '项目定义号',
				}, {
					field: 'projectName',
					title: '项目名称',
				}, {
					field: 'reserveProjectName',
					title: '储备项目名称',
				}, {
					field: 'settView.settStart',
					title: '结算发起',
				}, {
					field: 'settView.settNumber',
					title: '填写现场使用数量',
				}, {
					field: 'settView.settReview',
					title: '审计现场复核数量',
				}, {
					field: 'settView.settFin',
					title: '生成领料退料单',
				}
			]
		});


		jp.ajaxForm("#inputForm",function(data){
			if(data.success){
				jp.alert(data.msg);
				jp.go("${ctx}"+ data.body.targetUrl);
			}else{
				jp.alert(data.msg);
				$("#inputForm").find("button:submit").button("reset");
			}
		});

		function getTime(value, row, index) {
			return [
				"<input  id="+row.id+" type='number' name='usedQuantity' class='form-control required deal'  value="+row.usedQuantity+">",
			].join('');
		}

		$("#search").click("click", function() {// 绑定查询按扭
			$('#settTable').bootstrapTable('refresh');
		});

		$("#reset").click("click", function() {// 绑定查询按扭
			$("#searchForm  input").val("");
			$("#searchForm  select").val("");
			$("#searchForm  .select-item").html("");
			$('#settTable').bootstrapTable('refresh');
		});

		$('#acceptDate').datetimepicker({
			format: "YYYY-MM-DD HH:mm:ss"
		});

		$('#examineDate').datetimepicker({
			format: "YYYY-MM-DD HH:mm:ss"
		});
		//富文本初始化
		$('#reason').summernote({
			height: 300,
			lang: 'zh-CN',
			callbacks: {
				onChange: function(contents, $editable) {
					$("input[name='reason']").val($('#reason').summernote('code'));//取富文本的值
				}
			}
		});
	})
</script>
